Support » Plugin: Next Active Directory Integration » Sync error after update and PHP 7.4

  • Resolved khaotic

    (@khaotic)


    Hello,

    I have recently updated version of the NADI and PHP to 7.4. While I’m trying to “Test Authentication” then I’m getting these errors:

    WARNING	Username for the sync user does not contain a correct suffix. If the connection to the ad fails, this could be the cause. Please make sure you have added all UPN suffixes to the configuration tab User -> Account suffix.
    INFO	Checking domain controller ports:
    INFO	Checking address 'DOMAIN.CONTROLLER' and port 389 - OK
    WARNING	Do not send a notification email and/or do not block the user because the user login is only simulated.
    DEBUG	Trying to authenticate user with username 'MYLOGIN' and account suffix '@MY.DOMAIN'
    ERROR	Authentication for user 'MYLOGIN' failed [AD: ] [AD error code: ]
    WARNING	Can not block or unblock the user because the user login is only simulated.
    WARNING	Do not send a notification email and/or do not block the user because the user login is only simulated.
    ERROR	User 'MYLOGIN' can not be authenticated.
    INFO	LDAP connection is *not* encrypted

    Please, could you tell me what is wrong with the config?
    Older NADI version with PHP 7.1 works correct…

Viewing 2 replies - 1 through 2 (of 2 total)
  • Thread Starter khaotic

    (@khaotic)

    While I’m trying to “Sync with WordPress”, this error occurs:

    ERROR	Creating adLDAP object failed. Bind to Active Directory failed. Check the login credentials and/or server details. [AD: ] [AD error code: ]
    [STATUS]	Sync to WordPress failed.
    Plugin Author schakko

    (@schakko)

    This looks like after upgrading to PHP 7.4 you have not enabled or updated your php_ldap module.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Sync error after update and PHP 7.4’ is closed to new replies.